using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BrKvadrata
{
    class Program
    {
        static void Main(string[] args)
        {
            string s1 = Console.ReadLine();
            int x1 = int.Parse(s1.Split(' ')[0]);
            int y1 = int.Parse(s1.Split(' ')[1]);
            s1 = Console.ReadLine();
            int x2 = int.Parse(s1.Split(' ')[0]);
            int y2 = int.Parse(s1.Split(' ')[1]);
            if (x1 == x2 || y1 == y2)
                Console.WriteLine(2);
            else
                Console.WriteLine(1);

        }
    }
}